package jp.sourceforge.nicoro;

import android.content.Context;
import android.content.res.Resources;

/**
 * localeや画面によって変化しないresourceへのアクセス
 */
public final class StaticRes {
    public static final class string {
        public static String tag_webbrowser_fragment;
    }
    public static final class integer {
        public static int mylist_sort_new_create;
        public static int mylist_sort_old_create;
        public static int mylist_sort_title_ascending;
        public static int mylist_sort_title_descending;
        public static int mylist_sort_mylist_comment_ascending;
        public static int mylist_sort_mylist_comment_descending;
        public static int mylist_sort_new_upload;
        public static int mylist_sort_old_upload;
        public static int mylist_sort_many_views;
        public static int mylist_sort_few_views;
        public static int mylist_sort_new_comment;
        public static int mylist_sort_old_comment;
        public static int mylist_sort_many_comments;
        public static int mylist_sort_few_comments;
        public static int mylist_sort_many_my_lists;
        public static int mylist_sort_few_my_lists;
        public static int mylist_sort_long_play_time;
        public static int mylist_sort_short_play_time;
        public static int mylist_sort_dummy;
    }

    public static void init(Context context) {
        Resources res = context.getResources();
        string.tag_webbrowser_fragment = res.getString(R.string.tag_webbrowser_fragment);

        integer.mylist_sort_new_create = res.getInteger(R.integer.mylist_sort_new_create);
        integer.mylist_sort_old_create = res.getInteger(R.integer.mylist_sort_old_create);
        integer.mylist_sort_title_ascending = res.getInteger(R.integer.mylist_sort_title_ascending);
        integer.mylist_sort_title_descending = res.getInteger(R.integer.mylist_sort_title_descending);
        integer.mylist_sort_mylist_comment_ascending = res.getInteger(R.integer.mylist_sort_mylist_comment_ascending);
        integer.mylist_sort_mylist_comment_descending = res.getInteger(R.integer.mylist_sort_mylist_comment_descending);
        integer.mylist_sort_new_upload = res.getInteger(R.integer.mylist_sort_new_upload);
        integer.mylist_sort_old_upload = res.getInteger(R.integer.mylist_sort_old_upload);
        integer.mylist_sort_many_views = res.getInteger(R.integer.mylist_sort_many_views);
        integer.mylist_sort_few_views = res.getInteger(R.integer.mylist_sort_few_views);
        integer.mylist_sort_new_comment = res.getInteger(R.integer.mylist_sort_new_comment);
        integer.mylist_sort_old_comment = res.getInteger(R.integer.mylist_sort_old_comment);
        integer.mylist_sort_many_comments = res.getInteger(R.integer.mylist_sort_many_comments);
        integer.mylist_sort_few_comments = res.getInteger(R.integer.mylist_sort_few_comments);
        integer.mylist_sort_many_my_lists = res.getInteger(R.integer.mylist_sort_many_my_lists);
        integer.mylist_sort_few_my_lists = res.getInteger(R.integer.mylist_sort_few_my_lists);
        integer.mylist_sort_long_play_time = res.getInteger(R.integer.mylist_sort_long_play_time);
        integer.mylist_sort_short_play_time = res.getInteger(R.integer.mylist_sort_short_play_time);
        integer.mylist_sort_dummy = res.getInteger(R.integer.mylist_sort_dummy);
    }
}
